# CbcHeuristicDivePseudoCost Class Reference

DivePseudoCost class. More...

`#include <CbcHeuristicDivePseudoCost.hpp>`

Inheritance diagram for CbcHeuristicDivePseudoCost:
[legend]
Collaboration diagram for CbcHeuristicDivePseudoCost:
[legend]

List of all members.

## Public Member Functions
| CbcHeuristicDivePseudoCost ()
| CbcHeuristicDivePseudoCost (CbcModel &model)
| CbcHeuristicDivePseudoCost (const CbcHeuristicDivePseudoCost &)
| ~CbcHeuristicDivePseudoCost ()
virtual CbcHeuristicDivePseudoCost * | clone () const
| Clone.
CbcHeuristicDivePseudoCost & | operator= (const CbcHeuristicDivePseudoCost &rhs)
| Assignment operator.
virtual void | generateCpp (FILE *fp)
| Create C++ lines to get to current state.
virtual bool | selectVariableToBranch (OsiSolverInterface *solver, const double *newSolution, int &bestColumn, int &bestRound)
| Selects the next variable to branch on.
virtual void | initializeData ()
| Initializes any data which is going to be used repeatedly in selectVariableToBranch.
virtual int | fixOtherVariables (OsiSolverInterface *solver, const double *solution, PseudoReducedCost *candidate, const double *random)
| Fix other variables at bounds.

## Detailed Description

DivePseudoCost class.

Definition at line 14 of file CbcHeuristicDivePseudoCost.hpp.

## Constructor & Destructor Documentation

CbcHeuristicDivePseudoCost::CbcHeuristicDivePseudoCost | ( |  | ) |

CbcHeuristicDivePseudoCost::CbcHeuristicDivePseudoCost | ( | CbcModel & | model | ) |

CbcHeuristicDivePseudoCost::CbcHeuristicDivePseudoCost | ( | const CbcHeuristicDivePseudoCost & |  | ) |

CbcHeuristicDivePseudoCost::~CbcHeuristicDivePseudoCost | ( |  | ) |

## Member Function Documentation

virtual CbcHeuristicDivePseudoCost* CbcHeuristicDivePseudoCost::clone | ( |  | ) | const`[virtual]`

Clone.

Implements CbcHeuristicDive.

CbcHeuristicDivePseudoCost& CbcHeuristicDivePseudoCost::operator= | ( | const CbcHeuristicDivePseudoCost & | rhs | ) |

Assignment operator.

Reimplemented from CbcHeuristicDive.

virtual void CbcHeuristicDivePseudoCost::generateCpp | ( | FILE * | fp | ) | `[virtual]`

Create C++ lines to get to current state.

Reimplemented from CbcHeuristicDive.

virtual bool CbcHeuristicDivePseudoCost::selectVariableToBranch | ( | OsiSolverInterface * | solver,
|  | const double * | newSolution,
|  | int & | bestColumn,
|  | int & | bestRound |
| ) |  |  | `[virtual]`

Selects the next variable to branch on.

Returns true if all the fractional variables can be trivially rounded. Returns false, if there is at least one fractional variable that is not trivially roundable. In this case, the bestColumn returned will not be trivially roundable.

Implements CbcHeuristicDive.

virtual void CbcHeuristicDivePseudoCost::initializeData | ( |  | ) | `[virtual]`

Initializes any data which is going to be used repeatedly in selectVariableToBranch.

Reimplemented from CbcHeuristicDive.

virtual int CbcHeuristicDivePseudoCost::fixOtherVariables | ( | OsiSolverInterface * | solver,
|  | const double * | solution,
|  | PseudoReducedCost * | candidate,
|  | const double * | random |
| ) |  |  | `[virtual]`

Fix other variables at bounds.

Reimplemented from CbcHeuristicDive.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Cbc-2.7.7/Cbc/src/CbcHeuristicDivePseudoCost.hpp

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Defines